<!DOCTYPE html>
<html lang="fa">
<head>
    <meta charset="UTF-8">
    <meta name="csrf-token" content="<?php echo e(csrf_token()); ?>">
    <title>نمایش پیشرفت تبدیل ویدئو</title>
    <?php echo app('Illuminate\Foundation\Vite')(['resources/js/app.js', 'resources/css/app.css']); ?>
    <?php echo \Livewire\Mechanisms\FrontendAssets\FrontendAssets::styles(); ?>

</head>
<body class="bg-gray-50">
<div class="container mx-auto p-6">
    <?php
$__split = function ($name, $params = []) {
    return [$name, $params];
};
[$__name, $__params] = $__split('video-progress', []);

$__html = app('livewire')->mount($__name, $__params, 'lw-2953430547-0', $__slots ?? [], get_defined_vars());

echo $__html;

unset($__html);
unset($__name);
unset($__params);
unset($__split);
if (isset($__slots)) unset($__slots);
?>
</div>

<?php echo \Livewire\Mechanisms\FrontendAssets\FrontendAssets::scripts(); ?>

<script type="module">
    function subscribeToChannel() {
        window.Echo.channel('video-conversion')
            .listen('.video.conversion.progress', (e) => {
                console.log('Event received:', e);
                // ارسال رویداد به Livewire جهت به‌روز‌رسانی UI
                // window.Livewire.emitTo('progressUpdated', e);
                Livewire.dispatch('progressUpdated', {data:e});

            });
    }

    // بررسی کنید آیا Livewire از قبل لود شده است یا خیر
    if (window.Livewire) {
        console.log("Livewire is already loaded.");
        subscribeToChannel();
    } else {
        document.addEventListener("livewire:load", () => {
            console.log("livewire:load event fired!");
            subscribeToChannel();
        });
    }
</script>
</body>
</html>
<?php /**PATH /home/reza/video-subtitle/resources/views/statistic.blade.php ENDPATH**/ ?>