<?php

namespace App\Providers;

use App\Events\VideoConversionProgress;
use Illuminate\Support\Facades\File;
use Illuminate\Support\ServiceProvider;
use Illuminate\Support\Facades\Queue;
use Illuminate\Queue\Events\JobProcessed;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        if (!is_link(public_path('processed'))) {
            File::link(
                storage_path('app/processed'),
                public_path('processed')
            );
        }
    }
}
