<div class="p-4 max-w-xl mx-auto">
    <h2 class="text-2xl font-bold mb-4">وضعیت تبدیل ویدئو</h2>
    <div class="space-y-4">
        @foreach($progress as $quality => $value)
            <div>
                <div class="flex justify-between mb-1">
                    <span class="text-sm font-medium text-blue-700">{{ $quality }}</span>
                    <span class="text-sm font-medium text-blue-700">{{ $value }}%</span>
                </div>
                <div class="w-full bg-gray-200 rounded-full h-2.5">
                    <div class="bg-blue-600 h-2.5 rounded-full" style="width: {{ $value }}%"></div>
                </div>
            </div>
            <div class="mt-4">
                @if($quality == '720p')
                    @if ($downloadLink720)
                        <a href="{{ $downloadLink720 }}" download
                           class="bg-blue-500 text-white px-4 py-2 rounded hover:bg-blue-600">
                          {{ $quality }}  دانلود ویدیو
                        </a>
                    @else
                        <button disabled
                                class="bg-gray-400 text-white px-4 py-2 rounded cursor-not-allowed">
                            در حال پردازش...
                        </button>
                    @endif
                @elseif($quality == '1080p')
                        @if ($downloadLink1080 )
                            <a href="{{ $downloadLink1080 }}" download
                               class="bg-blue-500 text-white px-4 py-2 rounded hover:bg-blue-600">
                                {{ $quality }}  دانلود ویدیو
                            </a>
                        @else
                            <button disabled
                                    class="bg-gray-400 text-white px-4 py-2 rounded cursor-not-allowed">
                                در حال پردازش...
                            </button>
                        @endif
                @endif

            </div>
        @endforeach

</div>
